# 睿思接口API自动化测试

### 工程说明

数传接口API自动化测试框架，适用于数传所有接口API自动化测试。具体步骤如下：


### 前期准备
1、JDK环境变量，需要安装`JDK18`并配置环境变量

ray@Ray-MacBook-Pro-2 ~/IdeaProjects/Lemon % java --version
java 18.0.1.1 2022-04-22
Java(TM) SE Runtime Environment (build 18.0.1.1+2-6)
Java HotSpot(TM) 64-Bit Server VM (build 18.0.1.1+2-6, mixed mode, sharing)

2、Maven：因项目为Maven项目，需要安装Maven。
参考：https://blog.csdn.net/weixin_42460596/article/details/109479342

3、安装idea软件

### 本地调试
0、Maven坐标：更新Maven坐标。
![img_3.png](img_3.png)
1、登录接口：token鉴权。因每个系统的登录接口都会返回token，但是token路径不同，故需要更改AuthorizationUtils.java文件中storeToken方法中的token。具体可参考该方法里的备注。
`（登录接口需要传参token并保存下来给其余接口使用）`
![img_1.png](img_1.png)

2、其余接口：`接口传参需要判断是否需要传递token`。
![img_2.png](img_2.png)

3、运行代码：
（1）idea软件打开preferences设置，在plugins插件中下载TestNG。
![img.png](img.png)

（2）创建并运行TestNG工程
![img_4.png](img_4.png)

（3）运行mvn并得到Allure报告。

`mvn celan test`

`mvn io.qameta.allure:allure-maven:serve`

![img_5.png](img_5.png)

![img_6.png](img_6.png)

![img_7.png](img_7.png)

![img_8.png](img_8.png)


